import { getToken } from "@/lib/actions/token";
import Controls from "./controls";
import { Danmu } from "./danmu";

export default async function Page() {
  const token = await getToken();
  return (
    <div className="flex flex-col md:flex-row">
      <section className="basis-1/3 card">
        <div className="card-body max-h-[50vh] overflow-auto">直播间列表</div>
      </section>
      <section className="basis-1/3 card">
        <div className="card-body max-h-[50vh] overflow-auto">歌曲清单</div>
      </section>
      <section className="basis-1/3 card">
        <div className="card-body">
          <div className="mockup-browser border">
            <div className="mockup-browser-toolbar">
              <div className="input">红豆</div>
            </div>
            <div className="divide-y divide-gray-300">
              <Controls />
              <Danmu token={token} />
            </div>
          </div>
        </div>
      </section>
    </div>
  );
}
